import React from "react";
import "./App.css";
import AdminDashboard from "./pages/AdminDashboard";
import { createBrowserRouter, RouterProvider } from "react-router-dom";
import Error from "./pages/Error";
import Login from "./pages/Login";
import { ToastContainer } from "react-toastify";
import "react-toastify/dist/ReactToastify.css";

function App() {
  const router = createBrowserRouter([
    { 
      errorElement: <Error />,
      children: [
        {
          path: "/",
          element: <Login />,
        },
        {
          path: "/dashboard",
          element: <AdminDashboard />,
        },
      ],
    },
  ]);

  return (
    <>
      <RouterProvider router={router} />
      <ToastContainer />
    </>
  );
}

export default App;
  